EDIT - task #10077

upgrade ehcache to 3.x
06/16/2022 08:34 PM - Andreas Mdller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Probably blocked by Spring upgrade to 5.x (#10216).

There is probably a duplicate #9207 which points out size, grouplD and package structure issues.
Need to check how this works together with hibernate and spring caching.

There is a branch "feature_10077" (still local on cdmlib2/AM) for some changes.

In this context we should unify cache handling as there is CdmCacherBase and EhCacheConfiguration which both do define a
getDefaultCacheConfiguration() - #10218 .

As configuration is now created by builder classes and are probably immutable we may need to change architecture a bit as
EhCacheConfiguration and EhCacheDiskStoreConfiguration are both spring configurations.

Note: Don't forget to remove workaround class net.sf.ehcache.util.PreferredLoaderObjectinputStream from taxeditor.cdmlib (see
#10075) after upgrading.

Note2: Don't forget to improve workaround for oaipmh (see AbstractOaiPmhController comments on cacheManager), #3408 and
springmodules comments in #9359 (e.g. use EhCacheXXX in spring-context-support )

Useful Links:

® migration: https://www.ehcache.org/documentation/3.10/migration-guide.html

o disk storage: https:/www.ehcache.org/documentation/3.10/tiering.html#disk

e general: https://www.ehcache.org/documentation/

o configure diskstore in 2.10 (looks like it should be configured per cacheMananger):
https://www.ehcache.org/generated/2.10.4/html/ehc-all/#page/Ehcache_Documentation_Set%2Fco-tiers_configuring_disk_store

.html%23
Related issues:
Related to EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depend... Closed
Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New
Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022 06/01/2022
Related to EDIT - feature request #10070: Upgrade to hibernate 6+ New
Related to EDIT - bug #10075: Fix deserialization exception for bytebuddy bas... Closed
Related to EDIT - bug #10214: Cache configuration for term cache not correctl... Closed
Related to EDIT - task #3408: replace spring-modules-cache by up to date impl... In Progress
Related to EDIT - task #10218: Unify cache handling in CDM platform New
Has duplicate EDIT - task #9207: update ehcache dependency and handle hiberna... Duplicate
Blocked by EDIT - task #10216: Upgrade to Spring 5.x In Progress

Associated revisions

Revision ac512a79 - 06/16/2022 10:29 PM - Andreas Miiller

ref #10067, ref #10077 remove javassist as bytecode provider from cdmlib

Revision f5f8¢7e7 - 06/16/2022 11:05 PM - Andreas Miiller

ref #10067, ref #10077 remove javassist as bytecode provider from cdmlib (fix pom)
Revision 81ae1883 - 01/04/2023 08:02 PM - Andreas Miiller

ref #10077 remove statistics setting from ehCache config as it is deprectated

Signed-off-by: Andreas Muller a.mueller@bgbm.org

History

#1 - 06/16/2022 08:36 PM - Andreas Miiller
- Related to task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#2 - 06/16/2022 08:54 PM - Andreas Miuller

- Description updated

#3 - 06/16/2022 08:55 PM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added

#4 - 06/16/2022 08:55 PM - Andreas Miiller
- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#5 - 06/16/2022 08:55 PM - Andreas Miiller
- Related to feature request #10070: Upgrade to hibernate 6+ added

#6 - 06/16/2022 09:43 PM - Andreas Miiller
- Related to bug #10075: Fix deserialization exception for bytebuddy base hibernate SerializableProxy added

#7 - 06/16/2022 09:53 PM - Andreas Miller

- Description updated

#8 - 06/17/2022 10:04 AM - Andreas Mdller

- Description updated

#9 - 07/29/2022 08:20 PM - Andreas Miuller

- Target version changed from Release 5.32 to Release 5.33

#10 - 08/02/2022 11:35 PM - Andreas Miiller
- Priority changed from New to Priority13

#11 - 09/08/2022 12:27 PM - Andreas Miiller

- Target version changed from Release 5.33 to Release 5.46

#12 - 09/08/2022 12:27 PM - Andreas Miiller
- Tags changed from upgrade to upgrade, 5.32-Remaining

#13 - 12/26/2022 01:01 PM - Andreas Miiller

- Related to bug #10214: Cache configuration for term cache not correctly initialized in taxeditor added

#14 - 12/27/2022 12:57 PM - Andreas Miiller

- Description updated

#15 - 12/27/2022 12:59 PM - Andreas Miiller

- Description updated

#16 - 12/27/2022 12:59 PM - Andreas Miiller

- Related to task #3408: replace spring-modules-cache by up to date implementation added

#17 - 12/27/2022 02:18 PM - Andreas Miiller
- Blocked by task #10216: Upgrade to Spring 5.x added
#18 - 12/27/2022 08:59 PM - Andreas Miiller
- Description updated

- Priority changed from Priority13 to Priority14

#19 - 12/27/2022 09:30 PM - Andreas Miiller

- Description updated

#20 - 01/04/2023 10:10 PM - Andreas Miiller
- Related to task #10218: Unify cache handling in CDM platform added

#21 - 01/04/2023 10:20 PM - Andreas Miiller

- Description updated

#22 - 01/04/2023 10:20 PM - Andreas Miiller
- Has duplicate task #9207: update ehcache dependency and handle hibernate-ehcache added

#23 - 01/04/2023 10:22 PM - Andreas Miiller

- Description updated
